#!/usr/bin/python
#coding:utf-8
#import paramiko # Модуль для работы с SSH
import pylab as pl # Библиотека для построения графиков (matplotlib)

#ssh = paramiko.SSHClient() # Содаем клиента
#""""Упрощаем" политику работы с ключами :) """
#ssh.set_missing_host_key_policy(paramiko.AutoAddPolicy())
#ssh.connect("192.168.0.22", 22, "pi", "raspberry") # Сединяемся с малинкой
#stdin, stdout, stderr = ssh.exec_command("cat nna/log") # Выполняем команду (уже на малинке)

t = []; Tb = []; Tc = []; Td = [] # Подготавливаем данные для построения графиков
"""Файл журнала (log) уже здесь в stdout. Перебираем его построчно и выбираем нужные
данные для построения графика"""
#for line in sys.stdout.read().splitlines():
f = open('log_046', 'r') #---------------------------------------
for line in f.read().splitlines(): #---------------------------------------
  w = line.split() # Разбиваем строку на слова по пробельным символам
  """Далее формируем массивы (списки) соответствующих переменных, которые желаем
  отобразить на графике. Индекс - это номер колонки в файле журнала"""
  t.append(float(w[1]))  # Здесь у нас локальное время
  Tb.append(float(w[4])) # Это температура в кубе
  Tc.append(float(w[5])) # Это температура в колонне
  Td.append(float(w[6])) # Это температура на входе дефлегматора
f.close() #---------------------------------------

"""Все. Массивы (списки) сформированы. Теперь выводим их в виде простого графика"""
pl.plot(t, Tb, "b", t, Tc, "r", t, Td, "g") # В параметрах - пары t, T и цвет
pl.xlabel(u'Время, мин') # Устанавливаем подписи к осям
pl.ylabel(u'Температура, °C')
pl.grid(True) # Пусть на графике будет сетка
legend = pl.legend ((u"Tкуб", u"Tкол", u"Tдеф")) # Формируем легенду
legend.draggable(True) # Чтобы легенду можно было таскать мышкой
pl.show() # Теперь, наконец, показываем наш график
